package com.hp.user.client.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 高压柜抽屉

 * </p>
 *
 * @author yeqid
 * @since 2021-03-15
 */
@ApiModel
public class HighVoltageDrawerVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "柜体id")
    private String cabinetId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getCabinetId() {
		return cabinetId;
	}

	public void setCabinetId(String cabinetId) {
		this.cabinetId = cabinetId;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

    
}
