package com.hp.user.client.entity;

import java.util.Date;

import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * <p>
 * 巡检内容
 * </p>
 *
 * @author yeqid
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InspectionContent对象", description="巡检内容")
public class InspectionContentVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡检内容id")
    private String inspectionContentId;

    @ApiModelProperty(value = "检测内容")
    private String content;

    @ApiModelProperty(value = "检测方式")
    private String way;

    @ApiModelProperty(value = "检测标准")
    private String standard;

    @ApiModelProperty(value = "检测结果")
    private String result;

    @ApiModelProperty(value = "缺陷记录")
    private String defectRecord;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "二级检查项id")
    private String secondIds;

    @ApiModelProperty(value = "是否删除，0（default）/1：未删除/删除")
    private Short sysDeleted;

    @ApiModelProperty(value = "修改时间")
    private Date sysUpdateTime;

    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
