package com.hp.user.client.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * VIEW
 * </p>
 *
 * @author yeqid
 * @since 2021-03-11
 */
@ApiModel(value="PlanVO对象",description="计划对象PlanVO")
public class PlanVO implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value="计划id",name="planId",example="")
    private String planId;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 站点id
     */
    private String stationId;

    /**
     * 周期类型；1:按月
     */
    private Short cycleType;

    /**
     * 执行日
     */
    private String cycleDay;
    

    private String describe;

    private Date timeFrame;

    /**
     * 计划状态；0:草稿；1:发布
     */
    private Short planStatus;

    /**
     * 班组id
     */
    private String groupId;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Short sysDeleted;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

    /**
     * 站点名称
     */
    private String stationName;

    /**
     * 组名
     */
    private String groupName;

    private String electricianName;
    
    private String electricianId;
    
    /**  电工手机号*/
    private String electricianPhone;
    
	public String getElectricianPhone() {
		return electricianPhone;
	}

	public void setElectricianPhone(String electricianPhone) {
		this.electricianPhone = electricianPhone;
	}

	public String getElectricianId() {
		return electricianId;
	}

	public void setElectricianId(String electricianId) {
		this.electricianId = electricianId;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getTaskType() {
		return taskType;
	}

	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}

	public String getStationId() {
		return stationId;
	}

	public void setStationId(String stationId) {
		this.stationId = stationId;
	}

	public Short getCycleType() {
		return cycleType;
	}

	public void setCycleType(Short cycleType) {
		this.cycleType = cycleType;
	}

	public String getCycleDay() {
		return cycleDay;
	}

	public void setCycleDay(String cycleDay) {
		this.cycleDay = cycleDay;
	}

	public String getDescribe() {
		return describe;
	}

	public void setDescribe(String describe) {
		this.describe = describe;
	}

	public Date getTimeFrame() {
		return timeFrame;
	}

	public void setTimeFrame(Date timeFrame) {
		this.timeFrame = timeFrame;
	}

	public Short getPlanStatus() {
		return planStatus;
	}

	public void setPlanStatus(Short planStatus) {
		this.planStatus = planStatus;
	}

	public String getGroupId() {
		return groupId;
	}

	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public Short getSysDeleted() {
		return sysDeleted;
	}

	public void setSysDeleted(Short sysDeleted) {
		this.sysDeleted = sysDeleted;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

	public String getStationName() {
		return stationName;
	}

	public void setStationName(String stationName) {
		this.stationName = stationName;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getElectricianName() {
		return electricianName;
	}

	public void setElectricianName(String electricianName) {
		this.electricianName = electricianName;
	}

}
