package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 电压等级对应的设备类型
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
public class VoltageLevelDeviceTypeVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备类型id
     */
    private String deviceTypeId;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 设备类型名称
     */
    private String deviceTypeName;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Short sysDeleted;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

	public String getDeviceTypeId() {
		return deviceTypeId;
	}

	public void setDeviceTypeId(String deviceTypeId) {
		this.deviceTypeId = deviceTypeId;
	}

	public String getVoltageLevel() {
		return voltageLevel;
	}

	public void setVoltageLevel(String voltageLevel) {
		this.voltageLevel = voltageLevel;
	}

	public String getDeviceTypeName() {
		return deviceTypeName;
	}

	public void setDeviceTypeName(String deviceTypeName) {
		this.deviceTypeName = deviceTypeName;
	}

	public Short getSysDeleted() {
		return sysDeleted;
	}

	public void setSysDeleted(Short sysDeleted) {
		this.sysDeleted = sysDeleted;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

    
}
