package com.hp.user.client.service;

import com.hp.user.client.entity.*;

/**
 * <p>
 * 站点信息 服务类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface StationService {
    public Result insert(StationVO station);
    public Result delete(String stationId);
    public Result update(StationVO station);
    public DataResult<StationVO> queryStationByStationId(String stationId);
    public DataResult<StationVO> queryStationByStationName(String name);
    public PageResult<StationVO> queryAllStationsPageByCompanyIdAndStationName(String companyId,String stationName,Long current, Integer size);
    
    public ListResult<StationVO> queryStationByStationIds(String stationIds);
    
    public ListResult<StationVO> queryStationsByServiceProviderId(String serviceProviderId);
    
    public ListResult<String> queryStationIdsByCompanyId(String companyId);

}
