package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 企业和服务商的关系
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("r_customer_service_provider_enterprise")
public class CustomerServiceProviderEnterprise implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * Id
     */
    @TableId(value = "id")
    private String id;
    /**
     * 服务商Id
     */
    private String serviceProviderId;
    /**
     * 企业Id
     */
    private String enterpriseId;

    public CustomerServiceProviderEnterprise(){}

    public CustomerServiceProviderEnterprise(String id, String serviceProviderId, String enterpriseId) {
        this.id = id;
        this.serviceProviderId = serviceProviderId;
        this.enterpriseId = enterpriseId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getServiceProviderId() {
        return serviceProviderId;
    }

    public void setServiceProviderId(String serviceProviderId) {
        this.serviceProviderId = serviceProviderId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
