package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备id对应的设备相应信息表
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_device_id_info")
@ApiModel(value="DeviceIdInfo对象", description="设备id对应的设备相应信息表")
public class DeviceIdInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private String deviceId;

    @ApiModelProperty(value = "设备类型id")
    private String deviceTypeId;

    @ApiModelProperty(value = "查询方法")
    private String queryMethod;


}
