package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备类型和检查项关系表
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_device_type_test_content")
public class DeviceTypeTestContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备类型
     */
    private Long deviceTypeId;

    /**
     * 检测内容id
     */
    private Long testContentId;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Boolean sysDeleted;

    /**
     * 修改时间
     */
    private LocalDateTime sysUpdateTime;

    private Long sysUpdater;

    /**
     * 创建时间
     */
    private LocalDateTime sysCreateTime;

    /**
     * 创建者
     */
    private Long sysCreator;


}
