package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yeqid
 * @since 2021-03-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_tree")
@ApiModel(value="Tree对象", description="")
public class Tree implements Serializable {

    private static final long serialVersionUID = 1L;

    private String parentId;

    private String deviceId;

    private String deviceName;

    private String deviceTypeId;
    
    @ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;


}
