package com.hp.user.service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.hp.user.client.service.DictionariesService;
import com.hp.user.service.dao.DictionariesMapper;
import com.hp.user.service.entity.Dictionaries;

@SpringBootTest
@RunWith(SpringRunner.class)
public class DictionariesServiceTest {
	@Autowired
	private DictionariesMapper dictionariesMapper;
	
	@Test
	public void createDictionariesService() {
		Dictionaries dictionaries;
		Map<String,List<String>> map = new HashMap<>();
		List<String> list = new ArrayList<>();
//		list.add("安装电工（中级）");
//		list.add("安装钳工（中级）");
//		list.add("机械设备安装工（中级）");
//		list.add("木工（中级）");
//		list.add("通风工（中级）");
//		list.add("管道工（中级）");
//		list.add("电工（中级）");
//		list.add("维修电工（中级）");
//		list.add("砌筑工（中级）");
//		list.add("低压电工（中级）");
//		list.add("焊工（中级）");
//		list.add("油漆工（中级）");
//		map.put("技术员", list);
//		list = new ArrayList<>();
//		list.add("设备安装施工员");
//		list.add("设备安装质量员");
//		list.add("材料员");
//		list.add("机械员");
//		list.add("劳务员");
//		list.add("资料员");
//		list.add("标准员");
//		map.put("七大员", list);
//		list = new ArrayList<>();
//		list.add("特种作业证（高压电工）");
//		list.add("特种作业证（继电保护）");
//		list.add("特种作业证（电力电缆）");
//		list.add("特种作业证（电气试验）");
//		list.add("特种作业证（低压电工）");
//		list.add("特种作业证（高处安装、维护、拆除）");
//		list.add("特种作业证（熔化焊接与热切割）");
//		map.put("特种作业证", list);
//		list = new ArrayList<>();
//		list.add("建筑施工企业（主要负责人）");
//		list.add("建筑施工企业（项目负责人）");
//		list.add("建筑施工企业（专职生产安全管理人员）");
//		map.put("建筑施工企业", list);
//		list = new ArrayList<>();
//		list.add("建造师（一级）");
//		list.add("建造师（二级）");
//		map.put("建造师", list);
//		list = new ArrayList<>();
//		list.add("建筑电工");
//		list.add("建筑焊工（含焊接工、切割工）");
//		list.add("建筑普通脚手架架子工");
//		list.add("建筑附着升降脚手架架子工");
//		list.add("建筑起重信号司索工(含指挥)");
//		list.add("建筑塔式起重机司机");
//		list.add("建筑施工升降机司机");
//		list.add("建筑物料提升机司机");
//		list.add("建筑塔式起重机安装拆卸工");
//		list.add("建筑施工升降机安装拆卸工");
//		list.add("建筑物料提升机安装拆卸工");
//		list.add("高处作业吊篮安装拆卸工");
//		map.put("建筑施工特种作业证", list);
		list = new ArrayList<>();
		list.add("巡检员");
		list.add("预试员");
		list.add("抢修员");
		map.put("电工角色", list);
		
		list = new ArrayList<>();
		list.add("变压器");
		list.add("高压柜");
		list.add("低压柜");
		list.add("监控设备");
		list.add("环境");
		map.put("巡检类别", list);
		for(Entry<String, List<String>> entry : map.entrySet()) {
			String parentId = IdWorker.getIdStr();
			for(String value : entry.getValue()) {
				dictionaries =  new Dictionaries();
				dictionaries.setDictionariesId(IdWorker.getIdStr());
				dictionaries.setParentId(parentId);
				dictionaries.setValue(value);
				dictionaries.setType(1002);
				dictionariesMapper.insert(dictionaries);
			}
			dictionaries =  new Dictionaries();
			dictionaries.setDictionariesId(parentId);
			dictionaries.setValue(entry.getKey());
			dictionaries.setType(1002);
			dictionariesMapper.insert(dictionaries);
		}
		
	}
}
