package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 服务商用户信息表
 * </p>
 *
 * @author yeqid
 * @since 2021-01-14
 */
public class ServiceProviderAccountVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    /**
     * 修改者
     */
    private String sysUpdater;

    /**
     * 系统字段；0:表示正常；1:表示删除
     */
    private Integer sysDeleted;

    /**
     * 启用状态：0:启用；1：禁用
     */
    private Integer status;

    /**
     * 对应角色id
     */
    private String roleId;

    /**
     * 对应企业/服务商id
     */
    private String companyId;

    /**
     * 备注
     */
    private String remarks;

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Integer getSysDeleted() {
		return sysDeleted;
	}

	public void setSysDeleted(Integer sysDeleted) {
		this.sysDeleted = sysDeleted;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}


}
