package com.hp.user.client.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Substation对象", description="配电房")
public class SubstationVO extends SurveySubstationVO{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "设备类型")
	private String deviceType;
	@ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;
	
	@ApiModelProperty(value = "备注")
	private String remarks;

}
