package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * <p>
 * 巡检内容
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
public class TestContentVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String testContentId;

    /**
     * 检测内容
     */
    private String content;

    /**
     * 检测方式
     */
    private String way;

    /**
     * 检测标准
     */
    private String standard;

    /**
     * 检测结果
     */
    private String result;

    /**
     * 缺陷记录
     */
    private String defectRecord;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 二级检查项id
     */
    private String secondIds;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Short sysDeleted;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

	public String getTestContentId() {
		return testContentId;
	}

	public void setTestContentId(String testContentId) {
		this.testContentId = testContentId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getWay() {
		return way;
	}

	public void setWay(String way) {
		this.way = way;
	}

	public String getStandard() {
		return standard;
	}

	public void setStandard(String standard) {
		this.standard = standard;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getDefectRecord() {
		return defectRecord;
	}

	public void setDefectRecord(String defectRecord) {
		this.defectRecord = defectRecord;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getSecondIds() {
		return secondIds;
	}

	public void setSecondIds(String secondIds) {
		this.secondIds = secondIds;
	}

	public short getSysDeleted() {
		return sysDeleted;
	}

	public void setSysDeleted(short sysDeleted) {
		this.sysDeleted = sysDeleted;
	}

	public Date getSysUpdateTime() {
		return sysUpdateTime;
	}

	public void setSysUpdateTime(Date sysUpdateTime) {
		this.sysUpdateTime = sysUpdateTime;
	}

	public String getSysUpdater() {
		return sysUpdater;
	}

	public void setSysUpdater(String sysUpdater) {
		this.sysUpdater = sysUpdater;
	}

	public Date getSysCreateTime() {
		return sysCreateTime;
	}

	public void setSysCreateTime(Date sysCreateTime) {
		this.sysCreateTime = sysCreateTime;
	}

	public String getSysCreator() {
		return sysCreator;
	}

	public void setSysCreator(String sysCreator) {
		this.sysCreator = sysCreator;
	}

    
}
