package com.hp.user.service.dao;

import com.hp.user.service.entity.Plan;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * VIEW Mapper 接口
 * </p>
 *
 * @author yeqid
 * @since 2021-03-11
 */
public interface PlanMapper extends BaseMapper<Plan> {

	@Select("select * from v_plan ${ew.customSqlSegment} order by plan_id desc")
	public <E> Page<Plan> queryPlanByQuey(E page,@Param(Constants.WRAPPER) Wrapper<Plan> queryWrapper);
	
}
