package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_dictionaries")
public class Dictionaries implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "dictionaries_id")
    private String dictionariesId;

    /**
     * 父字典码
     */
    private String parentId;

    /**
     * 值
     */
    private String value;
    /**
     * 类型
     */
    private Integer type;


}
