package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_electrician_certificate")
public class ElectricianCertificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电工id
     */
    private String electricianId;

    /**
     * 证书id
     */
    private String dictionariesId;

    /**
     * 证书oss
     */
    private String certificateUrl;

    /**
     * 证书到期时间
     */
    private Long dueDate;


}
