package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * VIEW
 * </p>
 *
 * @author yeqid
 * @since 2021-03-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("v_plan")
public class Plan implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value="plan_id")
    private String planId;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 站点id
     */
    private String stationId;

    /**
     * 周期类型；1:按月
     */
    private Short cycleType;

    /**
     * 执行日
     */
    private String cycleDay;
    /** 任务描述*/
    private String taskDescribe;
//
//    private Date timeFrame;

    /**
     * 计划状态；0:草稿；1:发布
     */
    private Short planStatus;

    /**
     * 班组id
     */
    private String groupId;

    /**
     * 站点名称
     */
    private String stationName;

    /**
     * 组名
     */
    private String groupName;

    private String electricianName;
    /** 电工电话*/
    private String electricianPhone;


}
