package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * VIEW
 * </p>
 *
 * @author yeqid
 * @since 2021-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("v_service_area")
@ApiModel(value="ServiceArea对象", description="VIEW")
public class ServiceArea implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "服务商id")
    private Long serviceProviderId;

    @ApiModelProperty(value = "服务区域")
    private String serviceArea;

    @ApiModelProperty(value = "行政区划名称")
    private String name;


}
