package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_substation")
@ApiModel(value="Substation对象", description="配电房")
public class Substation extends SurveySubstation{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "设备类型Id")
	private String deviceTypeId;
	@ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;
	
	@ApiModelProperty(value = "备注")
	private String remarks;

}
