package com.hp.user.service.utils;

import java.io.File;
import java.io.InputStream;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.GetObjectRequest;

public class OSSUtil {
	
	public static void putObject(String key,InputStream inputStream) {
		// yourEndpoint填写Bucket所在地域对应的Endpoint。以华东1（杭州）为例，Endpoint填写为https://oss-cn-hangzhou.aliyuncs.com。
		String endpoint = "oss-cn-hangzhou.aliyuncs.com";
		// 阿里云账号AccessKey拥有所有API的访问权限，风险很高。强烈建议您创建并使用RAM用户进行API访问或日常运维，请登录RAM控制台创建RAM用户。
		String accessKeyId = "LTAI4G8SzpyhRUZYiPqwKehq";
		String accessKeySecret = "f44Rn8FfJfZziamjRabwFnRFEfLe0K";

		// 创建OSSClient实例。
		OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

		// 填写本地文件的完整路径。如果未指定本地路径，则默认从示例程序所属项目对应本地路径中上传文件流。
//		InputStream inputStream = new FileInputStream("D:\\localpath\\examplefile.txt");
		// 填写Bucket名称和Object完整路径。Object完整路径中不能包含Bucket名称。
		ossClient.putObject("huposs", key, inputStream);

		// 关闭OSSClient。
		ossClient.shutdown();
	}
	
	public static void getObject() {
		// yourEndpoint填写Bucket所在地域对应的Endpoint。以华东1（杭州）为例，Endpoint填写为https://oss-cn-hangzhou.aliyuncs.com。
		String endpoint = "oss-cn-hangzhou.aliyuncs.com";
		// 阿里云账号AccessKey拥有所有API的访问权限，风险很高。强烈建议您创建并使用RAM用户进行API访问或日常运维，请登录RAM控制台创建RAM用户。
		String accessKeyId = "LTAI4G8SzpyhRUZYiPqwKehq";
		String accessKeySecret = "f44Rn8FfJfZziamjRabwFnRFEfLe0K";
		// 填写Bucket名称。
		String bucketName = "huposs";
		// 填写不包含Bucket名称在内的Object完整路径，例如testfolder/exampleobject.txt。
		String objectName = "test1.png";

		// 创建OSSClient实例。
		OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

		// 下载Object到本地文件，并保存到指定的本地路径中。如果指定的本地文件存在会覆盖，不存在则新建。
		// 如果未指定本地路径，则下载后的文件默认保存到示例程序所属项目对应本地路径中。
		ossClient.getObject(new GetObjectRequest(bucketName, objectName), new File("/Users/yeqid/Desktop/test1.png"));

		// 关闭OSSClient。
		ossClient.shutdown(); 
	}

}
