package com.hp.user.service;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.hp.user.service.dao.DeviceTypeTestContentMapper;
import com.hp.user.service.dao.TestContentMapper;
import com.hp.user.service.dao.VoltageLevelDeviceTypeMapper;
import com.hp.user.service.entity.DeviceTypeTestContent;
import com.hp.user.service.entity.TestContent;
import com.hp.user.service.entity.VoltageLevelDeviceType;
import com.hp.user.service.utils.IdWorker;

@SpringBootTest
@RunWith(SpringRunner.class)
public class DeviceServiceTest {
	
	@Autowired
	private VoltageLevelDeviceTypeMapper voltageLevelDeviceTypeMapper;
	
	@Autowired
	private TestContentMapper testContentMapper;
	
	@Autowired
	private DeviceTypeTestContentMapper deviceTypeTestContentMapper;

	@Test
	public void voltageLevelDeviceType() {
//		List<VoltageLevelDeviceType> list = new ArrayList<>();
//		VoltageLevelDeviceType voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("10KV进线隔离设备编号");
//		
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("10KV进线开关柜设备编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("10KV计量柜编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("10KV馈线柜设备编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("PT柜设备编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("变压器编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("0.4KV总进线柜设备编号");
//		list.add(voltageLevelDeviceType);
//		
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("0.4KV馈线柜设备编号");
//		list.add(voltageLevelDeviceType);
//		
//		voltageLevelDeviceType = new VoltageLevelDeviceType();
//		voltageLevelDeviceType.setDeviceTypeId(IdWorker.generactorId().toString());
//		voltageLevelDeviceType.setVoltageLevel("10KV");
//		voltageLevelDeviceType.setDeviceTypeName("0.4KV补偿柜设备编号");
//		list.add(voltageLevelDeviceType);
//		voltageLevelDeviceTypeMapper.batchInsert(list);
		
	}
	@Test
	public void testContentTest() {
		List<TestContent> list = new ArrayList<>();
		TestContent content = new TestContent();
		StringBuilder secondIds = new StringBuilder();
		String id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("表面有无积垢、锈蚀");
//		content.setWay("目测");
//		content.setStandard("无积垢、锈蚀");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("整体结构有无变形、紧固");
//		content.setWay("铅垂、目测");
//		content.setStandard("⊥< 0.15%");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各标识是否完好");
//		content.setWay("目测");
//		content.setStandard("标识齐全、正确");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id);
//		content.setTestContentId(id);
//		content.setContent("各表计、指示是否显示正常");
//		content.setWay("目测");
//		content.setStandard("指示与实际匹配");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("柜体外观");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
//		
//		secondIds = new StringBuilder();
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("有无积垢、锈蚀");
//		content.setWay("目测");
//		content.setStandard("无");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("二次元器件安装是否紧固");
//		content.setWay("目测、手动");
//		content.setStandard("牢固无松动");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("二次接线有无松脱、发热");
//		content.setWay("目测");
//		content.setStandard("无变色、老损");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id);
//		content.setTestContentId(id);
//		content.setContent("综保装置是否正常");
//		content.setWay("目测、查阅");
//		content.setStandard("查阅数据正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("继电器室");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
//		
//		
//		secondIds = new StringBuilder();
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("电缆接头有无发热、变形");
//		content.setWay("开灯观察");
//		content.setStandard("无变色、老损");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("地刀、接地线是否正常");
//		content.setWay("开灯观察");
//		content.setStandard("无变色老损断股");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("柜内湿度及凝露加热器");
//		content.setWay("目测");
//		content.setStandard("无凝露、设备正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id);
//		content.setTestContentId(id);
//		content.setContent("有无闪络现象");
//		content.setWay("熄灯观察");
//		content.setStandard("无发红、闪络");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("电缆室");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
//		
//		
//		
//		secondIds = new StringBuilder();
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("与负载是否匹配");
//		content.setWay("目测");
//		content.setStandard("< In或整定电流");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("灭弧罩是否完好");
//		content.setWay("目测");
//		content.setStandard("完好无破损");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("一次母线有无变形发热");
//		content.setWay("目测");
//		content.setStandard("无变形老化");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("进出母线及各接点温升");
//		content.setWay("红外测温仪");
//		content.setStandard("温升< 40K");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id);
//		content.setTestContentId(id);
//		content.setContent("智能控制器检查");
//		content.setWay("手动、查看");
//		content.setStandard("设置可靠");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("框架式断路器");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
//		
//		
//		
//		secondIds = new StringBuilder();
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各元器件有无积垢、锈蚀");
//		content.setWay("目测");
//		content.setStandard("无");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("元器件安装是否紧固");
//		content.setWay("目测");
//		content.setStandard("紧固无变形");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("一、二次线路是否紧固");
//		content.setWay("目测");
//		content.setStandard("紧固无松动");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("隔离刀闸触头合闸面积");
//		content.setWay("目测");
//		content.setStandard("＞2/3接触面");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("主回路各熔断器有无熔断");
//		content.setWay("万用表");
//		content.setStandard("无开路现象");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("电容接触器");
//		content.setWay("目测");
//		content.setStandard("触头无严重烧蚀");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("过流继电器有无动作");
//		content.setWay("目测、手动");
//		content.setStandard("整定值可靠");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id);
//		content.setTestContentId(id);
//		content.setContent("电容器有无鼓肚、漏油");
//		content.setWay("目测");
//		content.setStandard("无");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("柜内");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
//		
//		
//		
//		
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各绝缘支撑有无积垢、变色");
//		content.setWay("目测");
//		content.setStandard("无积垢、变色");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("高低压母线有无发热变形变色");
//		content.setWay("目测");
//		content.setStandard("无变形、变色");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("本体温度");
//		content.setWay("红外测温仪");
//		content.setStandard("< 65K(参考备注）");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("散热系统是否正常");
//		content.setWay("目测、运行");
//		content.setStandard("风机正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("温控监测是否正常");
//		content.setWay("目测");
//		content.setStandard("设定温控范围内");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各接点最高温度");
//		content.setWay("红外测温仪");
//		content.setStandard("< 45K");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("接地连接是否正常");
//		content.setWay("目测");
//		content.setStandard("连接紧固");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各处有无闪络、发红现象");
//		content.setWay("熄灯观察");
//		content.setStandard("无发红、闪络");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("二次接线有无松脱、老化");
//		content.setWay("目测");
//		content.setStandard("无变色、老损");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各熔断器和电压、电流端子");
//		content.setWay("目测、万用表");
//		content.setStandard("无开路");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各铭牌标识是否完好");
//		content.setWay("目测");
//		content.setStandard("标识齐全、正确");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("柜后各接点最高温升");
//		content.setWay("红外测温仪");
//		content.setStandard("温升< 40K");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("补偿控制器参数设定");
//		content.setWay("目测、手动");
//		content.setStandard("设定正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("各接点、刀闸触点最高温升");
//		content.setWay("红外测温仪");
//		content.setStandard("温升< 40K");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("二次接线有无松断、发热");
//		content.setWay("目测");
//		content.setStandard("无变色、老损");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("电能表功能、接线是否良好");
//		content.setWay("目测、手动");
//		content.setStandard("计量正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("避雷器动作次数");
//		content.setWay("检查");
//		content.setStandard("实际记录");
//		list.add(content);
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("整体有无杂音、异味");
//		content.setWay("耳闻、鼻嗅");
//		content.setStandard("无杂音、异味");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("断路器外观及运行状态显示	");
//		content.setWay("目测");
//		content.setStandard("显示与状态匹配");
//		list.add(content);
		
		
//		content = new TestContent();
//		secondIds = new StringBuilder();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("表计、指示是否正常");
//		list.add(content);
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		secondIds.append(id).append(",");
//		content.setTestContentId(id);
//		content.setContent("手操机构是否完好");
//		list.add(content);
//		
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("各功能单元运行数据");
//		content.setSecondIds(secondIds.toString());
//		list.add(content);
		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时电流");
//		content.setWay("查看");
//		content.setStandard("实际值");
//		list.add(content);
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时电压");
//		content.setWay("查看");
//		content.setStandard("10KV±10％");
//		list.add(content);
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时电压");
//		content.setWay("查看");
//		content.setStandard("0.22KV±7％");
//		list.add(content);
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时电压、cosø");
//		content.setWay("查看");
//		content.setStandard("0.4KV±9％");
//		list.add(content);
//		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时补偿电流");
//		content.setWay("查看");
//		content.setStandard("实际值");
//		list.add(content);
		
//		content = new TestContent();
//		id = IdWorker.generactorId().toString();
//		content.setTestContentId(id);
//		content.setContent("实时电能数据");
//		content.setWay("目测、手动");
//		content.setStandard("实际记录");
//		list.add(content);
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("表面有无积垢、锈蚀、整体有无杂音、异味");
		list.add(content);
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("高低压母线有无发热变形变色");
		list.add(content);
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("变压器温控显示屏显示是否正常");
		list.add(content);
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("有无其它状况");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("柜体表面有无积垢、锈蚀、整体有无杂音、异味");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("断路器外观及运行状态显示是否正常");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("各标识是否完好");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("各表计、指示是否显示正常");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("继保装置是否正常工作");
		list.add(content);
		
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("电缆接线是否有松动、发热、变形等状况");
		list.add(content);
		
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("配电室工器具、标识、消防设施、防小动物设施是否齐全");
		list.add(content);
		
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("配电室是否整洁、东西摆放是否合理");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("配电运行管理上墙制度是否建全");
		list.add(content);
		
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("公司安装的视频、采集、门禁、温湿度系统硬件是否正常");
		list.add(content);
		
		content = new TestContent();
		id = IdWorker.generactorId().toString();
		content.setTestContentId(id);
		content.setContent("系统平台显示是否正常");
		list.add(content);
		testContentMapper.batchInsert(list);
		
		
	}
	
	@Test
	public void deviceTypeTestContentMapperTest() {
		DeviceTypeTestContent deviceTypeTestContent = new DeviceTypeTestContent();
		List<DeviceTypeTestContent> list = new ArrayList<>();
		deviceTypeTestContent.setDeviceTypeId(1367397036808826883l);
		deviceTypeTestContent.setTestContentId(373879853990154241l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397036808826883l);
		deviceTypeTestContent.setTestContentId(373879853990154242l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397036808826883l);
		deviceTypeTestContent.setTestContentId(373879853990154243l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397036808826883l);
		deviceTypeTestContent.setTestContentId(373879853990154256l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154245l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154246l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154247l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154248l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154249l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154250l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037211480066l);
		deviceTypeTestContent.setTestContentId(373879853990154256l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154256l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154245l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154246l);
		list.add(deviceTypeTestContent);
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154247l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154248l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154249l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037605744642l);
		deviceTypeTestContent.setTestContentId(373879853990154250l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397038381690881l);
		deviceTypeTestContent.setTestContentId(373879853990154251l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397038381690881l);
		deviceTypeTestContent.setTestContentId(373879853990154252l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397038381690881l);
		deviceTypeTestContent.setTestContentId(373879853990154253l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397038381690881l);
		deviceTypeTestContent.setTestContentId(373879853990154256l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037983232002l);
		deviceTypeTestContent.setTestContentId(373879853990154254l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContent = new DeviceTypeTestContent();
		deviceTypeTestContent.setDeviceTypeId(1367397037983232002l);
		deviceTypeTestContent.setTestContentId(373879853990154255l);
		list.add(deviceTypeTestContent);
		
		deviceTypeTestContentMapper.batchInsert(list);
	}
}
